Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011573 [DCSS] Bug Report minor always 2018-07-31 04:41 2018-09-25 15:27
Reporter RoGGa View Status public  
Assigned To aidanholm
Priority normal Resolution done  
Status closed   Product Branch 0.22 old branch
Summary 0011573: Feature request: When using Scroll of Acquirement, report amount of Gold already on-hand
Description I'm one of those who likes to get Gold with a Scroll of Acquirement. :s
But when continuing a game a day or so later, it is sometimes easy to forget how much gold you've already accumulated.
I ended up auto-IDing such a scroll not realizing I had more than 2K in gold and nothing useful to buy after finishing O:2. Now I have more than 3K! lol

Would it be possible to report the amount of Gold already in-hand along with the acquirement choices?
Additional Information
Tags No tags attached.
Attached Files png file icon 0011573 scroll of acquirement.png [^] (6,419 bytes) 2018-07-31 06:13

- Relationships

-  Notes
(0032467)
RoGGa (reporter)
2018-07-31 06:13

As can be seen in the attachment, it is possible to view the un/recognized items list but it is not possible to know how much gold is on hand.

Also, it would be ideal if the Shopping list could also be accessed...but I'm guessing that would be much more complicated.
(0032489)
aidanholm (developer)
2018-08-02 16:57

Good ideas! Gold display added at 6c29bc1, and shopping list (in read-only mode) added at 1626fb9.
(0032551)
RoGGa (reporter)
2018-08-15 08:44

Great!!! I love it :D

So now that you did such a great job... what about also viewing the % screen to see if you have any equipment slots empty?!?

(as I once asked for Gold and forgot I still didn't have Boots)

- Issue History
Date Modified Username Field Change
2018-07-31 04:41 RoGGa New Issue
2018-07-31 06:13 RoGGa Note Added: 0032467
2018-07-31 06:13 RoGGa File Added: 0011573 scroll of acquirement.png
2018-08-02 16:57 aidanholm Note Added: 0032489
2018-08-02 16:57 aidanholm Status new => resolved
2018-08-02 16:57 aidanholm Fixed in Branch => longterm development (0.23+)
2018-08-02 16:57 aidanholm Resolution open => done
2018-08-02 16:57 aidanholm Assigned To => aidanholm
2018-08-15 08:44 RoGGa Note Added: 0032551
2018-09-25 15:26 RoGGa Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker